      SUBROUTINE GSCHAR(X,Y,N,CHAINE)
      INCLUDE 'Parametres.f'
      REAL*4 X,Y
      CHARACTER*512 CHAINE,CHCH
      logical*4 assezloin
      if (n.le.0) return
      if (assezloin(x,y)) return
      nn = min(512,n)
      if (accentsok) then
        if (ipostscript.eq.1) then
          call accent(chaine,nn,chch,nnn,0)
        else
          call accent(chaine,nn,chch,nnn,1)
        endif
        nn = nnn
        chch(nn+1:nn+1) = char(0)
      else
        CHCH = CHAINE(1:NN)//char(0)
      endif
      if (ipostscript.eq.1) then
        IX = origine_x + facteur_en_x*X
        IY = origine_y + facteur_en_y*Y
        IF (icoul_texte.ne.icoul_courante) then
          call x11loadcolor(icoul_texte)
          if (angle_texte.eq.0.) then
            if (ifonte_courante.eq.5) then
              call x11txtsrnrot(CHCH,nn,ix,iy,angle_texte)
            else
              call x11txtsrn(CHCH,NN,ix,iy)
            endif
          else
            call x11txtsrnrot(CHCH,nn,ix,iy,angle_texte)
          endif
          call x11loadcolor(icoul_courante)
        else
          if (angle_texte.eq.0.) then
            if (ifonte_courante.eq.5) then
              call x11txtsrnrot(CHCH,nn,ix,iy,angle_texte)
            else
              call x11txtsrn(CHCH,NN,ix,iy)
            endif
          else
            call x11txtsrnrot(CHCH,nn,ix,iy,angle_texte)
          endif
        endif
      else
        if (sauve_graphic) return
        xxxx = origine_x + facteur_en_x*X
        yyyy = origine_y + facteur_en_y*Y
        call parenthese_ps(chch,nn)
        IF (ipostscript.ne.-1.and.icoul_texte.ne.icoul_eff) then
          call ecriscoul(icoul_texte)
          call ecriseconome(ilaser_file,xxxx,0,'bidon')
          call ecriseconome(ilaser_file,yyyy,nn+7,
     &                     ' 0 ('//chch(1:nn)//') E')
          call ecriscoul(icoul_eff)
        else
          call ecriseconome(ilaser_file,xxxx,0,'bidon')
          call ecriseconome(ilaser_file,yyyy,nn+7,
     &                     ' 0 ('//chch(1:nn)//') E')
        endif
      endif
      end
